Name:           ascii
Version:        3.30
Release:        %mkrel 1
Summary:        Interactive ASCII name and synonym chart
License:        BSD
Group:          Text tools
URL:            http://www.catb.org/~esr/ascii
Source0:        http://www.catb.org/~esr/ascii/%{name}-%{version}.tar.gz

%description
The ascii utility provides easy conversion between various byte representations
and the American Standard Code for Information Interchange (ASCII) character
table.  It knows about a wide variety of hex, binary, octal, Teletype mnemonic,
ISO/ECMA code point, slang names, XML entity names, and other representations.
Given any one on the command line, it will try to display all others.  Called
with no arguments it displays a handy small ASCII chart.


%prep
%setup -q

%build
%make_build CC="gcc %optflags %ldflags" %{name} %{name}.1

%install
install -m755 %{name} -D %{buildroot}%{_bindir}/%{name}
install -m644 %{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog
* Sun Aug 25 2024 neoclust <neoclust> 3.30-1.mga10
+ Revision: 2091110
- New version 3.30

* Sun Mar 10 2024 daviddavid <daviddavid> 3.20-1.mga10
+ Revision: 2048956
- new version: 3.20

* Mon Mar 14 2022 umeabot <umeabot> 3.18-4.mga9
+ Revision: 1791119
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.mga8-current
+ Revision: 1508921
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.18-2.mga7
+ Revision: 1294591
- Mageia 7 Mass Rebuild

* Tue Sep 19 2017 shlomif <shlomif> 3.18-1.mga7
+ Revision: 1155400
- New version 3.18

* Sat Mar 12 2016 shlomif <shlomif> 3.15-1.mga6
+ Revision: 989605
- New version 3.15

* Mon Feb 08 2016 umeabot <umeabot> 3.12-6.mga6
+ Revision: 943500
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.12-5.mga5
+ Revision: 748030
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.12-4.mga5
+ Revision: 677911
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.12-3.mga4
+ Revision: 502604
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 3.12-2.mga3
+ Revision: 346113
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 3.12-1.mga3
+ Revision: 324312
- new version 3.12

* Wed Jan 11 2012 kamil <kamil> 3.11-4.mga2
+ Revision: 194876
- rebuild against gcc 4.6.2
- clean spec

* Sun Oct 30 2011 kamil <kamil> 3.11-3.mga2
+ Revision: 160014
- build fixed
- license corrected
- clean up
+ kharec <kharec>
- little clean on the top of spec

* Fri Mar 25 2011 kharec <kharec> 3.11-1.mga1
+ Revision: 77504
- new version 3.11

* Sat Jan 08 2011 kharec <kharec> 3.10-1.mga1
+ Revision: 1248
- imported package ascii


* Mon Dec 06 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.10-1mdv2011.0
+ Revision: 612787
- update to 3.10

* Sun Oct 17 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.9-1mdv2011.0
+ Revision: 586264
- update to 3.9
- fix Source0
- quick spec cleanup
- fix %%buildroot use
- fix rpmlint warnings and licence

* Tue May 19 2009 Jérôme Brenier <incubusss@mandriva.org> 3.8-4mdv2010.0
+ Revision: 377657
- fix license (GPLv2)

* Thu Jun 19 2008 Thierry Vignaud <tv@mandriva.org> 3.8-3mdv2009.0
+ Revision: 226176
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 3.8-2mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Feb 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-2mdv2007.0
+ Revision: 115795
- Rebuild
- Import ascii

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.8-1mdk
- New release 3.8
- %%{1}mdv2007.1

* Thu May 12 2005 Lenny Cartier <lenny@mandriva.com> 3.6-3mdk
- rebuild

